Bug 240689 - Review Request: goffice04 - GOffice support libraries
Review Request: goffice04 - GOffice support libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
: 239545 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-20 08:34 EDT by Julian Sikorski
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 15:51:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2007-05-20 08:34:00 EDT
Spec URL: http://www.belegdol.republika.pl/rpmstuff/goffice04.spec
SRPM URL: http://www.belegdol.republika.pl/rpmstuff/goffice04-0.4.0-1.src.rpm
Desription: Support libraries for gnome office

This is a parallel installable package based on one made by Hans de Goede. It packages 0.4.0 version, needed by new gchemutils and is intended to be obsoleted by normal goffice once other dependent software gets ready for the new API.
Comment 1 Hans de Goede 2007-05-20 09:35:24 EDT
MUST:
=====
* rpmlint output is:
W: goffice04-devel no-documentation
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* ldconfig properly run for shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* -devel package as needed
* no .desktop file needed

Should FIX
==========
The changelog says: "- Updated to 0.8.0" this should ofcourse be:
"- Updated to 0.4.0"

No blockers -> Approved!
Comment 2 Julian Sikorski 2007-05-20 11:58:32 EDT
New Package CVS Request
=======================
Package Name: goffice04
Short Description: GOffice support libraries
Owners: belegdol@gmail.com
Branches: F-7
InitialCC: 
Comment 3 Julian Sikorski 2007-05-21 14:03:33 EDT
Hans, would you like to comantain this package with me?
Comment 4 Hans de Goede 2007-05-21 15:44:42 EDT
(In reply to comment #3)
> Hans, would you like to comantain this package with me?

Sure, that sounds like a good plan.
Comment 5 Julian Sikorski 2007-05-21 15:51:39 EDT
Package Change Request
======================
Package Name: goffice04
Updated Fedora Owners: belegdol@gmail.com,j.w.r.degoede@hhs.nl
Comment 6 Julian Sikorski 2007-05-25 17:56:28 EDT
bump
Comment 7 Hans de Goede 2007-05-26 08:54:10 EDT
*** Bug 239545 has been marked as a duplicate of this bug. ***
Comment 8 Tom "spot" Callaway 2007-05-26 16:59:09 EDT
owners.list updated.

Note You need to log in before you can comment on or make changes to this bug.